package com.shenghua.controller;


import com.shenghua.annotations.Valid;
import com.shenghua.convert.MessageBoardConvert;
import com.shenghua.dto.MessageBoardDTO;
import com.shenghua.entitys.MessageBoard;
import com.shenghua.entitys.Result;
import com.shenghua.entitys.SolutionContact;
import com.shenghua.mapper.MessageBoardMapper;
import com.shenghua.service.SolutionService;
import com.shenghua.vo.ProductVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/contact")
@Api(tags = "联系我们api")
public class ContactController {

    @Autowired
    private MessageBoardMapper messageBoardMapper;

    @PostMapping("/save")
    @ApiOperation("保存联系信息")
    public Result<ProductVO> addContact(@Valid @RequestBody MessageBoardDTO dto){
        return Result.success(messageBoardMapper.insert(MessageBoardConvert.convert(dto)))    ;
    }
}
