package com.shenghua.vo;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.shenghua.entitys.product.ProductSpecs;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("产品")
public class ProductVO {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @TableField("name")
    @ApiModelProperty(value = "产品名称")
    private String name;

    @TableField("category_id")
    @ApiModelProperty(value = "产品分类id")
    private Integer categoryId;

    @TableField("category")
    @ApiModelProperty(value = "产品分类")
    private String category;

    @TableField(value = "type_arr", updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "产品类型字符数组")
    private String[] typeArr;

    @TableField("cover")
    @ApiModelProperty(value = "封面图路径")
    private String cover;

    @TableField("imgs")
    @ApiModelProperty(value = "商品详情图片")
    private List<String> imgs;

    @TableField("imgs_relation_id")
    @ApiModelProperty(value = "详情图片关联ID")
    private Integer imgsRelationId;

    @TableField("content")
    @ApiModelProperty(value = "产品介绍")
    private String content;

    @TableField("price")
    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @TableField("seo_title")
    @ApiModelProperty(value = "SEO标题")
    private String seoTitle;

    @TableField("seo_description")
    @ApiModelProperty(value = "SEO描述")
    private String seoDescription;

    @TableField("seo_keywords")
    @ApiModelProperty(value = "SEO关键词")
    private String seoKeywords;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField("specs_id")
    @ApiModelProperty(value = "常规规格参数ID")
    private Integer specsId;

    @TableField("specsImgs")
    @ApiModelProperty(value = "规格参数图-详情")
    private List<String> specsImgs;

    @TableField("desc")
    @ApiModelProperty(value = "产品描述")
    private String desc;


//    @ApiModelProperty(value = "通用规格")
//    private ProductSpecs productSpecs;

//    @TableField("other_specs")
//    @ApiModelProperty(value = "其他额外规格")
//    private String[] otherSpecs;




}
